Subject: RE: draft-rajahalme-ipv6-flow-label-00.txt

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Thu, 3 Jan 2002 17:08:53 +0100

Hi Margaret, 

[ Sorry catching up on old emails]

  > >come back to basics and say that the flow label
  > >is part of the IPv6 header, therefore it seems
  > >rational to let IPv6 WG define its use. 
  > >I don't see anything wrong with this, no other
  > >fields in the IPv6 header are defined by other
  > >groups.
  > 
  > This is acceptable to me, if it represents a consensus view
  > of the WG.  But, in this case, we should go all the way
  > and actually specify a useful flow label -- one that
  > could be used to look-up cached information on intermediate
  > routers without a signalling protocol, for example.

=> OK, so what you're saying is that it's ok to
have an immutable flow label but we should not have
to mandate signalling to install the value in routers. 
That's also fine with me. What that means to me
is that we can have some of the FL values reserved
for assignment by IANA, provided we maintain
immutability. Ie. using IANA as a signalling 
protocol :)

I'm ok with that, but I know some (a lot ?) of 
people don't agree with it. 

Hesham
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------